Versão Golden Master do Xcode 4 abandonou o suporte ao OS X 10.5 SDK

Uma coisa importante passou em branco na liberação da versão Golden Master do Xcode 4, semana passada: ela não trazia o OS X 10.5 SDK, o que deixou muitos desenvolvedores intrigados. A discussão gerada por essa ausência, claro, ganhou a web e rendeu uma declaração de um engenheiro da Apple:

O Xcode 4 não oferece suporte à criação de aplicativos para o Mac OS X 10.5. Se você quiser criar aplicativos para o Mac OS X 10.5 (algo válido a se fazer, obviamente), será preciso manter uma cópia do Xcode 3 por perto. Por exemplo, instale uma cópia da última versão do Xcode 3 em “/Xcode3”.

Com a chegada iminente do Mac OS X 10.7 “Lion”, o fim do suporte à versão 10.5 “Leopard” parece inevitável e certamente marcará o fim da linha para todos os Macs com processadores PowerPC. Será o encerramento de uma era — e talvez o início de outra, se a Maçã resolver usar processadores próprios também em seus computadores tradicionais, nos próximos anos.

[via MacStories]

Posts relacionados

Comentários